LMMS(1)

NAME
lmms - software for easy music production

SYNOPSIS
lmms [ --render file ] [options]
lmms [ --upgrade in out ]
lmms [ --dump in ]
lmms [ file ]

DESCRIPTION

LMMS LMMS is a free cross-platform alternative to commercial programs like FL Studio®, which allow you to produce music with your computer. This includes the creation of melodies and beats, the synthesis and mixing of sounds, and arranging of samples. You can have fun with your MIDI-keyboard and much more; all in a user-friendly and modern interface. LMMS features components such as a Song Editor, a Beat+Bassline Editor, a Piano Roll, an FX Mixer as well as many powerful instruments and effects.

OPTIONS

-r, --render project-file
    Render given file to either a wav- or ogg-file. See -f for details

-r, --rendertracks project-file
    Render each track into a separate wav- or ogg-file. See -f for details

-o, --output path
    Render into path
    For --render, this is interpreted as a file path.
    For --render-tracks, this is interpreted as a path to an existing directory.

-f, --format format
    Specify format of render-output where format is either 'wav' or 'ogg'

-s, --samplerate samplerate
    Specify output samplerate in Hz - range is 44100 (default) to 192000

-b, --bitrate bitrate
    Specify output bitrate in KBit/s (for OGG encoding only), default is 160

-i, --interpolation method
    Specify interpolation method - possible values are linear, sincfastest (default), sincmedium, sincbest

-x, --oversampling value
    Specify oversampling, possible values: 1, 2 (default), 4, 8

-l, --loop
    Render the given file as a loop, i.e. stop rendering at exactly the end of the song. Additional silence or reverb tails at the end of the song are not rendered.

-u, --upgrade in out
    Upgrade file in and save as out

-d, --dump in
    Dump XML of compressed file in (i.e. MMPZ-file)

-v, --version
    Show version information and exit.

--allowroot
    Bypass root user startup check (use with caution).

-h, --help
    Show usage information and exit.

SEE ALSO
https://lmms.io/ https://lmms.io/documentation/ https://github.com/LMMS/lmms

AUTHORS
Tobias Doerffel <tobydox/at/users.sourceforge.net>, Paul Giblock and others. See AUTHORS for details.